summaryrefslogtreecommitdiff
path: root/doctests/run_examples.sh
diff options
context:
space:
mode:
Diffstat (limited to 'doctests/run_examples.sh')
-rw-r--r--doctests/run_examples.sh15
1 files changed, 15 insertions, 0 deletions
diff --git a/doctests/run_examples.sh b/doctests/run_examples.sh
new file mode 100644
index 0000000..5136063
--- /dev/null
+++ b/doctests/run_examples.sh
@@ -0,0 +1,15 @@
+#!/bin/sh
+
+
+basepath=`readlink -f $1`
+if [ $? -ne 0 ]; then
+basepath=`readlink -f $(dirname $0)`
+fi
+echo "No path specified, using ${basepath}"
+
+set -e
+cd ${basepath}
+for i in `ls ${basepath}/*.py`; do
+ redis-cli flushdb
+ python $i
+done